path: /build/build/qtimageformats-dev-qt-5-5.15.2+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test mng" emerge dev-qt/qtimageformats:5 -pv -t && \
    USE="-test mng" emerge -j ${JOBS} --nodeps dev-qt/qtimageformats:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtimageformats && luet-portage --dir
    /pkgdir/qtimageformats dev-qt/qtimageformats:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:71a2eee6728e00f6d57309c8434ed0699304b31fb2e045f4dc8fc4464e1ace09
  package:
    name: qtimageformats
    version: 5.15.2+3
    category: dev-qt-5
    use_flags:
    - -test
    - mng
    requires:
    - name: libmng
      version: '>=0'
      category: media-libs
    - name: qtgui
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Additional format plugins for the Qt image I/O system
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-04-25 09:43:42.287346522 +0000 UTC m=+193.292449980
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtgui-5.15.2* media-libs/libwebp:= media-libs/tiff:0
        mng? ( media-libs/libmng:= ) test? ( =dev-qt/qttest-5.15.2* )
      IUSE: mng debug test
      RDEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtgui-5.15.2* media-libs/libwebp:= media-libs/tiff:0
        mng? ( media-libs/libmng:= )
      emerge.packages: dev-qt/qtimageformats:5
      kit: qt-kit
      original.package.name: dev-qt/qtimageformats
      original.package.slot: "5"
      original.package.version: 5.15.2_p20240314
    treedir: /build/packages
  package_dir: /pkgdir/qtimageformats
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 68d8579def2a54d18b6355dee1f4a8fbeed89cc9468aa60595e58734715f7c6a
compressiontype: zstd
files:
- usr/lib64/cmake/Qt5Gui/Qt5Gui_QICNSPlugin.cmake
- usr/lib64/cmake/Qt5Gui/Qt5Gui_QMngPlugin.cmake
- usr/lib64/cmake/Qt5Gui/Qt5Gui_QTgaPlugin.cmake
- usr/lib64/cmake/Qt5Gui/Qt5Gui_QTiffPlugin.cmake
- usr/lib64/cmake/Qt5Gui/Qt5Gui_QWbmpPlugin.cmake
- usr/lib64/cmake/Qt5Gui/Qt5Gui_QWebpPlugin.cmake
- usr/lib64/qt5/plugins/imageformats/libqicns.so
- usr/lib64/qt5/plugins/imageformats/libqmng.so
- usr/lib64/qt5/plugins/imageformats/libqtga.so
- usr/lib64/qt5/plugins/imageformats/libqtiff.so
- usr/lib64/qt5/plugins/imageformats/libqwbmp.so
- usr/lib64/qt5/plugins/imageformats/libqwebp.so
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/BDEPEND
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/BUILD_TIME
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/CATEGORY
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/CBUILD
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/CFLAGS
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/CHOST
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/CONTENTS
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/COUNTER
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/CXXFLAGS
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/DEFINED_PHASES
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/DEPEND
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/DESCRIPTION
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/EAPI
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/FEATURES
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/HOMEPAGE
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/INHERITED
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/IUSE
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/KEYWORDS
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/LDFLAGS
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/LICENSE
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/NEEDED
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/PF
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/PROVIDES
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/RDEPEND
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/REQUIRES
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/RESTRICT
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/SIZE
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/SLOT
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/USE
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/environment.bz2
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/qtimageformats-5.15.2_p20240314.ebuild
- var/db/pkg/dev-qt/qtimageformats-5.15.2_p20240314/repository
package_cacheimage: ""
runtime:
  name: qtimageformats
  version: 5.15.2+3
  category: dev-qt-5
  use_flags:
  - -test
  - mng
  requires:
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  - name: libmng
    version: '>=0'
    category: media-libs
  - name: tiff
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Additional format plugins for the Qt image I/O system
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtgui-5.15.2* media-libs/libwebp:= media-libs/tiff:0
      mng? ( media-libs/libmng:= ) test? ( =dev-qt/qttest-5.15.2* )
    IUSE: mng debug test
    RDEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtgui-5.15.2* media-libs/libwebp:= media-libs/tiff:0
      mng? ( media-libs/libmng:= )
    emerge.packages: dev-qt/qtimageformats:5
    kit: qt-kit
    original.package.name: dev-qt/qtimageformats
    original.package.slot: "5"
    original.package.version: 5.15.2_p20240314
